Name:           nekohtml
Version:        1.9.22
Release:        9
Summary:        HTML scanner and tag balancer
License:        ASL 2.0
URL:            http://nekohtml.sourceforge.net/
Source0:        nekohtml-%{version}.tar.gz
Source1:        http://central.maven.org/maven2/net/sourceforge/nekohtml/nekohtml/%{version}/nekohtml-%{version}.pom
Patch0:         0001-Crosslink-javadoc.patch
Patch1:         0002-Jar-paths.patch
Patch2:         0003-Add-OSGi-attributes.patch
# https://github.com/sparklemotion/nekohtml/commit/a800fce
Patch3:         CVE-2022-24839.patch
Requires:       bcel xerces-j2 >= 0:2.7.1 xml-commons-apis
BuildRequires:  javapackages-local ant ant-junit bcel xerces-j2 >= 0:2.7.1 xerces-j2-javadoc xml-commons-apis
BuildArch:      noarch
Obsoletes:      nekohtml-javadoc < %{version}-%{release}
Obsoletes:      nekohtml-demo < %{version}-%{release}
Provides:       nekohtml-javadoc = %{version}-%{release}
Provides:       nekohtml-demo = %{version}-%{release}

%description
NekoHTML is a simple HTML scanner and tag balancer that enables application programmers 
to parse HTML documents and access the information using standard XML interfaces.

%prep
%autosetup -p1
find -name "*.jar" -delete
rm data/meta/test-meta-encoding3.html
%mvn_alias net.sourceforge.nekohtml:nekohtml nekohtml:nekohtml
%mvn_package net.sourceforge.nekohtml:nekohtml-samples demo
%mvn_file ':{*}' @1

%build
export CLASSPATH=$(build-classpath bcel xerces-j2 xml-commons-apis)
%{ant} \
    -Dbuild.sysclasspath=first \
    -Dlib.dir=%{_javadir} \
    -Djar.file=nekohtml.jar \
    -Djar.xni.file=nekohtml-xni.jar \
    -Djar.samples.file=nekohtml-samples.jar \
    -Dbcel.javadoc=%{_javadocdir}/bcel \
    -Dj2se.javadoc=%{_javadocdir}/java \
    -Dxni.javadoc=%{_javadocdir}/xerces-j2-xni \
    -Dxerces.javadoc=%{_javadocdir}/xerces-j2-impl \
    clean jar jar-xni doc
%mvn_artifact %{SOURCE1} nekohtml.jar
%mvn_artifact net.sourceforge.nekohtml:nekohtml-xni:%{version} nekohtml-xni.jar
%mvn_artifact net.sourceforge.nekohtml:nekohtml-samples:%{version} nekohtml-samples.jar

%install
%mvn_install -J build/doc/javadoc
%jpackage_script org.cyberneko.html.filters.Writer "" "" "nekohtml:xerces-j2" nekohtml-filter true

%files
%attr(0644,root,root) %{_datadir}/maven-metadata/nekohtml.xml
%attr(0644,root,root) %{_datadir}/maven-poms/nekohtml.pom
%attr(0644,root,root) %{_datadir}/java/nekohtml.jar
%attr(0644,root,root) %{_datadir}/java/nekohtml-xni.jar
%attr(0644,root,root) %{_datadir}/maven-metadata/nekohtml-demo.xml
%attr(0644,root,root) %{_datadir}/java/nekohtml-samples.jar
%doc LICENSE.txt README.txt doc/*.html
%{_bindir}/nekohtml-filter
%{_javadocdir}/%{name}

%changelog
* Sun Apr 24 2022 wangkai <wangkai385@h-partners.com> - 1.9.22-9
- Fix CVE-2022-24839

* Thu Dec 7 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.9.22-8
- Package init
